Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.instantiation
Interface UserCodeInterceptor

    public interface UserCodeInterceptor

Method Summary
`void` | `executeAction(Action action, ExecutionContext executionContext)`
`void` | `executeAssignment(AssignmentHandler assignmentHandler, Assignable assignable, ExecutionContext executionContext)`
`void` | `executeTaskControllerInitialization(TaskControllerHandler taskControllerHandler, TaskInstance taskInstance, ContextInstance contextInstance, Token token)`
`void` | `executeTaskControllerSubmission(TaskControllerHandler taskControllerHandler, TaskInstance taskInstance, ContextInstance contextInstance, Token token)`

Method Detail

### executeAction

    void executeAction(Action action,
                       ExecutionContext executionContext)
                       throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeAssignment

    void executeAssignment(AssignmentHandler assignmentHandler,
                           Assignable assignable,
                           ExecutionContext executionContext)
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### executeTaskControllerInitialization

    void executeTaskControllerInitialization(TaskControllerHandler taskControllerHandler,
                                             TaskInstance taskInstance,
                                             ContextInstance contextInstance,
                                             Token token)

### executeTaskControllerSubmission

    void executeTaskControllerSubmission(TaskControllerHandler taskControllerHandler,
                                         TaskInstance taskInstance,
                                         ContextInstance contextInstance,
                                         Token token)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD